View Issue Details

IDProjectCategoryView StatusLast Update
0001565SymmetricDSBugpublic2014-02-15 14:20
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.17Fixed in Version3.5.17 
Summary0001565: Ambiguous reference to sysindexes
DescriptionOn Sybase ASA (SQL Anywhere), some environments have the sysindexes object in both the dbo and sys schemas. SymmetricDS uses sysindexes (and sysobjects) during the check for schema upgrades and during sync triggers. The following error can occur:

ASA -0852 sysindexes table name is ambigous.

We should prefix sysindexes and sysobjects with "dbo".
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 6bcaaf45

2014-02-12 13:59:23

erilong

Details Diff
0001565: Ambiguous reference to sysindexes
0001565
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlanywhere/SqlAnywhereSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/ase/AseDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/ase/AseDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2014-02-07 09:06 elong New Issue
2014-02-07 09:06 elong Status new => assigned
2014-02-07 09:06 elong Assigned To => elong
2014-02-12 14:00 Changeset attached => SymmetricDS trunk r7938
2014-02-12 14:05 elong Status assigned => resolved
2014-02-12 14:05 elong Fixed in Version => 3.5.17
2014-02-12 14:05 elong Resolution open => fixed
2014-02-15 14:20 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 6bcaaf45